org.omg.DynamicAny

## Class DynAnyFactoryHelper

- java.lang.Object
- - org.omg.DynamicAny.DynAnyFactoryHelper

    public abstract class DynAnyFactoryHelper
    extends Object

DynAny objects can be created by invoking operations on the DynAnyFactory object. Generally there are only two ways to create a DynAny object:

- invoking an operation on an existing DynAny object
- invoking an operation on a DynAnyFactory object

A constructed DynAny object supports operations that enable the creation of new DynAny objects encapsulating access to the value of some constituent. DynAny objects also support the copy operation for creating new DynAny objects. A reference to the DynAnyFactory object is obtained by calling ORB.resolve_initial_references() with the identifier parameter set to the string constant "DynAnyFactory".

Dynamic interpretation of an any usually involves creating a DynAny object using create_dyn_any() as the first step. Depending on the type of the any, the resulting DynAny object reference can be narrowed to a DynFixed, DynStruct, DynSequence, DynArray, DynUnion, DynEnum, or DynValue object reference.

Dynamic creation of an any involves creating a DynAny object using create_dyn_any_from_type_code(), passing the TypeCode associated with the value to be created. The returned reference is narrowed to one of the complex types, such as DynStruct, if appropriate. Then, the value can be initialized by means of invoking operations on the resulting object. Finally, the to_any operation can be invoked to create an any value from the constructed DynAny.

### Constructor Summary

Constructors
Constructor and Description
`DynAnyFactoryHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static DynAnyFactory` `extract(Any a)`
`static String` `id()`
`static void` `insert(Any a, DynAnyFactory that)`
`static DynAnyFactory` `narrow(Object obj)`
`static DynAnyFactory` `read(InputStream istream)`
`static TypeCode` `type()`
`static DynAnyFactory` `unchecked_narrow(Object obj)`
`static void` `write(OutputStream ostream, DynAnyFactory value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DynAnyFactoryHelper

    public DynAnyFactoryHelper()

### Method Detail

#### insert

    public static void insert(Any a,
                              DynAnyFactory that)

#### extract

    public static DynAnyFactory extract(Any a)

#### type

    public static TypeCode type()

#### id

    public static String id()

#### read

    public static DynAnyFactory read(InputStream istream)

#### write

    public static void write(OutputStream ostream,
                             DynAnyFactory value)

#### narrow

    public static DynAnyFactory narrow(Object obj)

#### unchecked_narrow

    public static DynAnyFactory unchecked_narrow(Object obj)